Subject: Re: [PATCH 3/4] iscsi class, libiscsi: Add net config.

From: "Michael Chan" <[email-masked]>
Date: Mon, 8 Jun 2009 10:59:34 -0700

On Mon, 2009-06-08 at 10:56 -0700, James Bottomley wrote:
> On Fri, 2009-05-01 at 13:00 -0700, Michael Chan wrote:
> > Add ISCSI_NETLINK messages to get/set vendor specific information.
> > This is to support bnx2i that handles net config of private iSCSI
> > IP address in userspace.
> > 
> > Signed-off-by: Anil Veerabhadrappa <[email-masked]>
> > Signed-off-by: Michael Chan <[email-masked]>
> > Signed-off-by: Mike Christie <[email-masked]>
> > Acked-by: David S. Miller <[email-masked]>
> 
> This patch is rejecting pretty badly against both SCSI and net ... is
> there an update (I saw you updated the other three patches in this
> series on the 23rd, but not this one)?
> 

I believe this is an earlier version of the patch.  On the 23rd, I sent
a completely new version after feedback from Mike and Chelsio to
standardize the message format.  It was also re-ordered as patch 1/4.

We have some cleanups we want to make on the bnx2i patch (4/4).  I can
re-spin everything and send out the whole set of patches later today.

Thanks.

> James
> 
> ---
> 
> patching file drivers/scsi/scsi_transport_iscsi.c
> Hunk #1 succeeded at 1015 with fuzz 2 (offset 20 lines).
> Hunk #2 FAILED at 1416.
> Hunk #3 FAILED at 1456.
> Hunk #4 succeeded at 1611 with fuzz 2 (offset 80 lines).
> 2 out of 4 hunks FAILED -- saving rejects to file
> drivers/scsi/scsi_transport_iscsi.c.rej
> patching file include/scsi/iscsi_if.h
> Hunk #1 succeeded at 60 with fuzz 2 (offset 8 lines).
> Hunk #2 FAILED at 69.
> Hunk #3 FAILED at 165.
> Hunk #4 FAILED at 204.
> 3 out of 4 hunks FAILED -- saving rejects to file
> include/scsi/iscsi_if.h.rej
> patching file include/scsi/scsi_transport_iscsi.h
> Hunk #1 FAILED at 132.
> Hunk #2 succeeded at 151 with fuzz 2 (offset 2 lines).
> 1 out of 2 hunks FAILED -- saving rejects to file
> include/scsi/scsi_transport_iscsi.h.rej
> 
> 
>